/// <reference types="react" />
import * as React from 'react';
import { ITreeItem, ITreeGroup } from '@git-stack/client-core';
export interface StatusViewComponentGraphqlProps {
    gitStatus: ITreeGroup[];
    refs: any;
    stashes: any;
    authData: any;
    stashesRefetch: () => void;
    refetch: () => void;
    stageMutate: (args: any) => any;
    unstageMutate: (args: any) => any;
    cleanMutate: (args: any) => any;
    addMutate: (args: any) => any;
    undoMutate: () => any;
    deleteMutate: () => any;
    commitAllMutate: (args: any) => any;
    commitMutate: (args: any) => any;
    stashMutate: (args: any) => any;
    unstashMutate: (args: any) => any;
    branchMutate: (args: any) => any;
    tagMutate: (args: any) => any;
    deleteBranchMutate: (args: any) => any;
    mergeMutate: (args: any) => any;
    undoLastCommitMutate: () => any;
}
export interface StatusViewComponentStateProps {
    git: any;
    tree: any;
    selectedModal: string;
    gitAuth: any;
}
export interface StatusViewComponentDispatchProps {
    setTreeData: (data: ITreeGroup[]) => any;
    resetGit: () => any;
    authCleanGit: () => void;
    setError: (error: string, type: string) => void;
    commitCleanGit: () => void;
    cleanBranch: () => void;
    cleanTag: () => void;
    setCurrentBranch: (name: string) => void;
    setStashes: (stashes: any) => void;
    gitAction: (command: string, item?: ITreeItem) => void;
    saveUser: (id: string) => void;
    setAuth: () => void;
    deleteRef: (name: string) => void;
    deleteStashMessage: () => void;
    showInputModal: (description: string, dataType: string, placeholder?: string, inputType?: string) => void;
    refresh: (refresh: boolean) => void;
}
export declare type IStatusViewComponentProps = StatusViewComponentGraphqlProps & StatusViewComponentStateProps & StatusViewComponentDispatchProps;
export declare type StatusViewComponentOwnState = {
    gitLoad: boolean;
    timer: any;
};
declare class StatusViewComponent extends React.Component<IStatusViewComponentProps, StatusViewComponentOwnState> {
    constructor(props: IStatusViewComponentProps);
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IStatusViewComponentProps): void;
    componentWillUnmount(): void;
    private onGitAction;
    private doAction(promise);
    private actionRefetch;
    private actionStage;
    private actionUnstage;
    private actionClean;
    private actionCommitAll;
    private actionCommit;
    private actionStash;
    private actionUnStash;
    private actionCreateBranch;
    private actionDeleteBranch;
    private actionMerge;
    private actionTag;
    private actionUndoLastCommit;
    render(): JSX.Element;
}
export default StatusViewComponent;
