/// <reference types="react" />
import * as React from 'react';
import { ITreeGroup } from '@git-stack/client-core';
import { Store } from '@git-stack/client-redux';
export interface IGitCheckoutComponentState {
    timer: any;
}
export interface IGitCheckoutComponentOwnProps {
    styles: any;
}
export interface IGitCheckoutComponentGraphglProps {
    statusInfo: any[];
    branch: string;
    refs: any;
    authData: any;
    refetch: () => void;
    refsRefetch: () => void;
    openMutate: (args: any) => any;
    checkoutMutate: (args: any) => any;
    syncMutate: (args: any) => any;
    saveUserMutate: (args: any) => any;
    pullMutate: (args: any) => any;
    pushMutate: (args: any) => any;
}
export interface IGitCheckoutComponentStateProps {
    git: Store.Git;
    rootpath: string;
    selectedModal: string;
    gitAuth: Store.Auth;
    inputSelected: any;
}
export interface IGitCheckoutComponentDispatchProps {
    gitAction: (command: string, args?: any) => void;
    confirmPath: (path: string) => void;
    setError: (error: string, type: string) => void;
    setCurrentBranch: (name: string) => void;
    showSelectModal: (data: [string], dataType: string, placeholder?: string) => void;
    setRefs: (refs: any) => void;
    setTreeData: (data: ITreeGroup[]) => void;
    resetGit: () => void;
    setTabInfo: (tabName: string, message: string) => void;
    checkAuth: () => void;
    setAuth: () => void;
    authCleanGit: () => void;
    saveUser: (id: string) => void;
    showInputModal: (description: string, dataType: string, placeholder?: string, inputType?: string) => void;
    clearInputValue: () => void;
    loginSetGit: (login: string) => void;
    passSetGit: (password: string) => void;
    commitSetGit: (commit: string) => void;
    setCloneData: (key: string, value: string) => void;
    setBranch: (name: string) => void;
    setTag: (key: string, value: string) => void;
    setStashMessage: (mesage?: string) => void;
    cleanBranch: () => void;
}
export declare type IGitCheckoutContainerProps = IGitCheckoutComponentStateProps & IGitCheckoutComponentDispatchProps & IGitCheckoutComponentOwnProps & IGitCheckoutComponentGraphglProps;
declare class GitCheckoutContainer extends React.Component<IGitCheckoutContainerProps, IGitCheckoutComponentState> {
    constructor(props: IGitCheckoutContainerProps);
    componentWillMount(): void;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IGitCheckoutContainerProps): void;
    componentWillUnmount(): void;
    private onGitAction;
    private doAction(promise);
    private actionOpen;
    private actionRefetch;
    private actionShowBranch;
    private actionCheckout;
    private actionSync;
    private actionSaveUser;
    private actionPull;
    private actionPush;
    private handlerClickBranch;
    private handlerClickSync;
    render(): JSX.Element;
}
export default GitCheckoutContainer;
